.player
{
    position:absolute;
    left:100px;
    top:100px;
    width:74px;
    height: 64px;
    background-size: cover;
    background-image: url('resources/player_with_pickaxe.png');
    image-rendering: crisp-edges;
    z-index: 2;
}
.player_right_eye
{
    position:absolute;
    left:25px;
    top:20px;
    width:10px;
    height: 10px;
    background-size: cover;
    background-image: url('resources/player_eye.png');
    image-rendering: crisp-edges;
}
.player_left_eye
{
    position:absolute;
    left:25px;
    top:35px;
    width:10px;
    height: 10px;
    background-size: cover;
    background-image: url('resources/player_eye.png');
    image-rendering: crisp-edges;
}
.tree
{
    position:absolute;
    left:200px;
    top:200px;
    width:150px;
    height: 150px;
    z-index: 3;
    background-size: cover;
    background-image: url('resources/tree.png');
    image-rendering: crisp-edges;
}
.stone
{
    position:absolute;
    left:200px;
    top:200px;
    width:64px;
    height: 64px;
    z-index: 1;
    background-size: cover;
    background-image: url('resources/stone.png');
    image-rendering: crisp-edges;
}

.stump
{
    position:absolute;
    left:200px;
    top:200px;
    width:64px;
    height: 64px;
    z-index: 1;
    background-size: cover;
    background-image: url('resources/stump.png');
    image-rendering: crisp-edges;
}

.arrow
{
    position:absolute;
    left:10px;
    top:10px;
    width:40px;
    height: 12px;
    z-index: 1;
    background-size: cover;
    background-image: url('resources/arrow.png');
    image-rendering: crisp-edges;
}

body
{
   /*background-image: url('resources/water.png'); 
    z-index:2;
    image-rendering: crisp-edges;
    background-color: blue;
    background-size: 64px, 64px;
    animation: moveBackground 200s linear infinite; 
    /*tästä pitää poistaa rullaus*/
    overflow: hidden;
    background-image: url('resources/grass.png');
    background-size: 64px, 64px;
}

#borders
{
    position:absolute;
    left:516px;
    top:516px;
    width: 3552px;
    height: 2552px;
    border: dashed 4px lime;
    opacity: 0.3;
}

@keyframes moveBackground {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: -1600px 0; /* Liikuta taustakuvaa vaakasuunnassa */
    }
}


#world 
{
    border: 50px solid rgb(194,178,128); 
    border-radius: 50px;
   top:0px;
   left:0px;
    background-image: url('resources/water.png'); 
    image-rendering: crisp-edges;
    background-color: blue;
    background-size: 64px, 64px;
    animation: moveBackground 100s linear infinite; 
    position: absolute;
    width: 4500px; 
    height: 3500px;
}

#firstIsland
{
    position:absolute;
    left:1000px;
    top:1000px;
    width:1000px;
    height:1500px;
    background-color: green; 
    background-image: url('resources/grass.png');
    background-size: 64px, 64px;
    border-radius: 50px;;
    border: 50px solid rgb(194,178,128); 
}

#secondIsland
{
    position:absolute;
    left:2500px;
    top:1000px;
    width:1000px;
    height:1500px;
    background-color: green; 
    background-image: url('resources/grass.png');
    background-size: 64px, 64px;
    border-radius: 50px;;
    border: 50px solid rgb(194,178,128); 
}


#sun
{
    position: fixed;
    right: 0px;
    top: 0px;
    width: 200px;
    height: 200px;
    background-size: cover;
    background-image: url('resources/sun1.png');
    image-rendering: crisp-edges;
    z-index: 10;
}

#resource_health
{
    position: fixed;
    left: 0px;
    top: 48px;
    height: 64px;
    width:150px; /*30px lisää kun *10 */
    background-color: rgba(10,10,10,0.4);
    border-bottom-right-radius: 50px;
    border-top-right-radius: 50px;
}

#resource_wood
{
    position: fixed;
    left: 0px;
    top: 128px;
    height: 64px;
    width:110px; /*30px lisää kun *10 */
    background-color: rgba(10,10,10,0.4);
    border-bottom-right-radius: 50px;
    border-top-right-radius: 50px;
}

#resource_stone
{
    position: fixed;
    left: 0px;
    top: 208px;
    height: 64px;
    width:110px;
    background-color: rgba(10,10,10,0.4);
    border-bottom-right-radius: 50px;
    border-top-right-radius: 50px;
}

#resource_arrow
{
    position: fixed;
    left: 0px;
    top: 288px;
    height: 64px;
    width:150px;
    background-color: rgba(10,10,10,0.4);
    border-bottom-right-radius: 50px;
    border-top-right-radius: 50px;
}

#resource_clock
{
    position: fixed;
    left: calc(50% - 90px);
    top: 0px;
    height: 64px;
    width:180px;
    background-color: rgba(10,10,10,0.4);
    border-bottom-right-radius: 25px;
    border-bottom-left-radius: 25px;
}

#chat_input
{
    position: fixed;
    left: 0px;
    bottom: 0px;
    height: 48px;
    width:25%;
    background-color: rgba(10,10,10,0.4);
    border-top-right-radius: 25px;
    border:none;
    font-size:16px;
    color:white;
    outline: none;
}

#chat_input:focus {
    outline: none;
}

#chat_input::placeholder {
    font-size:16px;
    color: rgba(0, 255, 13, 0.7); /* Aseta haluamasi väri */
}

#clock_icon
{
    position:absolute;
    left: 8px;
    top: 4px;
    height: 52px;
    width:52px;
    background-size: cover;
    background-image: url('resources/clock_bg1.png');
    image-rendering: crisp-edges;
}

#clock_icon_top
{
    position:absolute;
    left: 8px;
    top: 4px;
    height: 52px;
    width:52px;
    background-size: cover;
    background-image: url('resources/clock1.png');
    image-rendering: crisp-edges;
}

#health_icon
{
    position:absolute;
    left: 8px;
    top: 8px;
    height: 46px;
    width:52px;
    background-size: cover;
    background-image: url('resources/heart.png');
    image-rendering: crisp-edges;
}

#wood_icon
{
    position:absolute;
    left: 1px;
    top: 0px;
    height: 64px;
    width:64px;
    background-size: cover;
    background-image: url('resources/loot_wood.png');
    image-rendering: crisp-edges;
}

#stone_icon
{
    position:absolute;
    left: 1px;
    top: 0px;
    height: 64px;
    width:64px;
    background-size: cover;
    background-image: url('resources/loot_stone.png');
    image-rendering: crisp-edges;
}

#arrow_icon
{
    position:absolute;
    left: 1px;
    top: 22px;
    height: 18px;
    width:60px;
    background-size: cover;
    background-image: url('resources/arrow.png');
    transform: rotate(50deg);
    image-rendering: crisp-edges;
}

#clock_count
{
    position:absolute;
    left: 75px;
    top: 13px;
    height: 44px;
    width:80px;
    font-size: 32px;
    font-weight: bold;
    color: white;
}

#health_count
{
    position:absolute;
    left: 70px;
    top: 13px;
    height: 44px;
    width:80px;
    font-size: 32px;
    font-weight: bold;
    color: white;
}

#wood_count
{
    position:absolute;
    left: 70px;
    top: 13px;
    height: 44px;
    width:80px;
    font-size: 32px;
    font-weight: bold;
    color: white;
}

#arrow_count
{
    position:absolute;
    left: 70px;
    top: 13px;
    height: 44px;
    width:80px;
    font-size: 32px;
    font-weight: bold;
    color: white;
}

#stone_count
{
    position:absolute;
    left: 70px;
    top: 13px;
    height: 44px;
    width:80px;
    font-size: 32px;
    font-weight: bold;
    color: white;
}


#tool_circle
{
    position: fixed;
     right: -250px;  
    /*right: 500px;*/
    top: calc(50% - 150px);
    width: 300px;
    height: 300px;
    background-size: cover;
    background-image: url('resources/tool_circle.png');
    image-rendering: crisp-edges;
    z-index: 11;
}

#tool_bow
{
    position: absolute;
    left: 50px;
    top: -130px;
    width: 200px;
    height: 200px;
    background-size: cover;
    background-image: url('resources/tool_bow.png');
    image-rendering: crisp-edges;
    z-index: 12;
    transform: rotate(110deg);
}

#tool_blueprint
{
    position: absolute;
    left: 200px;
    top: 180px;
    width: 100px;
    height: 100px;
    background-size: cover;
    background-image: url('resources/tool_blueprint.png');
    image-rendering: crisp-edges;
    z-index: 12;
}

#tool_axe
{
    position: absolute;
    right: 245px;
    top: 100px;
    width: 140px;
    height: 140px;
    background-size: cover;
    background-image: url('resources/tool_axle.png');
    image-rendering: crisp-edges;
    z-index: 12;
    transform: rotate(40deg);
}

#tool_pickaxe
{
    position: absolute;
    right: 230px;
    top: -30px;
    width: 120px;
    height: 120px;
    background-size: cover;
    background-image: url('resources/tool_pickaxle.png');
    image-rendering: crisp-edges;
    z-index: 12;
    transform: rotate(60deg);
}

#tool_lifebuoy
{
    position: absolute;
    right: 225px;
    top: 230px;
    width: 80px;
    height: 80px;
    background-size: cover;
    background-image: url('resources/lifebuoy.png');
    image-rendering: crisp-edges;
    z-index: 12;
    transform: rotate(60deg);
}

html
{
    cursor: url('resources/scope.png') 32 32, auto;
    image-rendering: crisp-edges;
}
.footprint
{
    position:absolute;
    width: 48px;
    height: 48px;
    opacity: 0.4;
    background-size: cover;
    background-image: url('resources/footprint2.png');
    image-rendering: crisp-edges;
}

.grave
{
    position: absolute;
    left: 200px;
    top: 200px;
    width: 64px;
    height: 64px;
    background-size: cover;
    background-image: url('resources/rip.png');
    image-rendering: crisp-edges;
    z-index: 1;
}

.blood
{
    position: absolute;
    left: 200px;
    top: 200px;
    width: 64px;
    height: 64px;
    background-size: cover;
    background-image: url('resources/blood.png');
    image-rendering: crisp-edges;
    z-index: 0;
}

#darkness
{
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3);
    z-index: 100;
    display: none;
}

#darkness_headtext
{
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 101;
    display: block;
    font-size: 64px;
    color: white;
    text-align: center;
    padding-top: 500px;
    font-weight: bold;
}

#darkness_text
{
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 101;
    display: block;
    font-size: 32px;
    color: white;
    text-align: center;
    padding-top: 600px;
}